cpw.mods.fml.common.network

## Class FMLNetworkEvent.ClientCustomPacketEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - cpw.mods.fml.common.network.FMLNetworkEvent<S>
    - - cpw.mods.fml.common.network.FMLNetworkEvent.CustomPacketEvent<INetHandlerPlayClient>
      - - cpw.mods.fml.common.network.FMLNetworkEvent.ClientCustomPacketEvent

- Enclosing class:
    FMLNetworkEvent<T extends INetHandler>

      public static class FMLNetworkEvent.ClientCustomPacketEvent
      extends FMLNetworkEvent.CustomPacketEvent<INetHandlerPlayClient>

  Fired when a custom packet is received on the client for the channel

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.network.FMLNetworkEvent

      `FMLNetworkEvent.ClientConnectedToServerEvent, FMLNetworkEvent.ClientCustomPacketEvent, FMLNetworkEvent.ClientDisconnectionFromServerEvent, FMLNetworkEvent.CustomNetworkEvent, FMLNetworkEvent.CustomPacketEvent<S extends INetHandler>, FMLNetworkEvent.CustomPacketRegistrationEvent<S extends INetHandler>, FMLNetworkEvent.ServerConnectionFromClientEvent, FMLNetworkEvent.ServerCustomPacketEvent, FMLNetworkEvent.ServerDisconnectionFromClientEvent`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    - ### Fields inherited from class cpw.mods.fml.common.network.FMLNetworkEvent.CustomPacketEvent

      `packet, reply`

    - ### Fields inherited from class cpw.mods.fml.common.network.FMLNetworkEvent

      `handler, manager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLNetworkEvent.ClientCustomPacketEvent(NetworkManager manager, FMLProxyPacket packet)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Side` | `side()`

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FMLNetworkEvent.ClientCustomPacketEvent

          public FMLNetworkEvent.ClientCustomPacketEvent(NetworkManager manager,
                                                 FMLProxyPacket packet)

  - ### Method Detail

    - #### side

          public Side side()

      Specified by:
        `side` in class `FMLNetworkEvent.CustomPacketEvent<INetHandlerPlayClient>`